Subject: bug#8639: 23.2; emacs python mode should colorize nonlocal keyword

From: Steve Chapel <[email-masked]>
Date: Fri, 13 May 2011 08:29:30 -0400

On 05/11/2011 06:13 PM, Juanma Barranquero wrote:
> On Mon, May 9, 2011 at 00:56, Steve Chapel<[email-masked]>  wrote:
>
>> When editing a Python source file, the nonlocal keyword is not colorized
>> as are other keywords.
> It's easy to fix (see below), but "nonlocal" is a Python 3.X keyword,
> and python-mode does not really support Python 3 at this point, so I
> suppose that's not the only inconvenience you find when editing Python
> 3 code.
I've programmed thousands of lines of Python 3 code over the past year, 
nearly exclusively in emacs, and this is the only problem I've noticed. 
Perhaps there are others I'm not aware of.

Thanks for the patch!

-- Steve